Save config change decisions
curl --request PUT \
--url https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/decisions \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"format": "openwork.config-decisions",
"formatVersion": 1,
"source": {
"organizationId": "<string>"
},
"target": {
"organizationId": "<string>"
},
"changeRequestId": "<string>",
"decisions": {
"matches": [],
"refs": [],
"skips": [],
"renames": []
}
}
'import requests
url = "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/decisions"
payload = {
"format": "openwork.config-decisions",
"formatVersion": 1,
"source": { "organizationId": "<string>" },
"target": { "organizationId": "<string>" },
"changeRequestId": "<string>",
"decisions": {
"matches": [],
"refs": [],
"skips": [],
"renames": []
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
format: 'openwork.config-decisions',
formatVersion: 1,
source: {organizationId: '<string>'},
target: {organizationId: '<string>'},
changeRequestId: '<string>',
decisions: {matches: [], refs: [], skips: [], renames: []}
})
};
fetch('https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/decisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'format' => 'openwork.config-decisions',
'formatVersion' => 1,
'source' => [
'organizationId' => '<string>'
],
'target' => [
'organizationId' => '<string>'
],
'changeRequestId' => '<string>',
'decisions' => [
'matches' => [
],
'refs' => [
],
'skips' => [
],
'renames' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/decisions"
payload := strings.NewReader("{\n \"format\": \"openwork.config-decisions\",\n \"formatVersion\": 1,\n \"source\": {\n \"organizationId\": \"<string>\"\n },\n \"target\": {\n \"organizationId\": \"<string>\"\n },\n \"changeRequestId\": \"<string>\",\n \"decisions\": {\n \"matches\": [],\n \"refs\": [],\n \"skips\": [],\n \"renames\": []\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/decisions")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"format\": \"openwork.config-decisions\",\n \"formatVersion\": 1,\n \"source\": {\n \"organizationId\": \"<string>\"\n },\n \"target\": {\n \"organizationId\": \"<string>\"\n },\n \"changeRequestId\": \"<string>\",\n \"decisions\": {\n \"matches\": [],\n \"refs\": [],\n \"skips\": [],\n \"renames\": []\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/decisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"format\": \"openwork.config-decisions\",\n \"formatVersion\": 1,\n \"source\": {\n \"organizationId\": \"<string>\"\n },\n \"target\": {\n \"organizationId\": \"<string>\"\n },\n \"changeRequestId\": \"<string>\",\n \"decisions\": {\n \"matches\": [],\n \"refs\": [],\n \"skips\": [],\n \"renames\": []\n }\n}"
response = http.request(request)
puts response.read_body{
"changeRequest": {
"id": "<string>",
"status": "uploaded",
"title": "<string>",
"mode": "merge",
"source": "ui",
"sourceOrganization": {
"id": "<string>",
"slug": "<string>",
"name": "<string>"
},
"sourceDeployment": "cloud",
"areas": [
"members.teams"
],
"summary": {
"create": 0,
"update": 0,
"rename": 0,
"unchanged": 0,
"delete": 0,
"untouched": 0,
"skip": 0,
"blocking": 0
},
"planHash": "<string>",
"approvals": [
{
"memberId": "<string>",
"name": "<string>",
"at": "2023-11-07T05:31:56Z"
}
],
"autoApply": true,
"createdBy": {
"memberId": "<string>",
"name": "<string>",
"apiKeyName": "<string>"
},
"revertsChangeRequestId": "<string>",
"revertedByChangeRequestId": "<string>",
"errors": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"appliedAt": "2023-11-07T05:31:56Z"
},
"plan": {
"planHash": "<string>",
"mode": "merge",
"summary": {
"create": 0,
"update": 0,
"rename": 0,
"unchanged": 0,
"delete": 0,
"untouched": 0,
"skip": 0,
"blocking": 0
},
"areas": [
{
"area": "members.teams",
"label": "<string>",
"items": [
{}
]
}
],
"issues": [
{
"level": "error",
"message": "<string>",
"area": "members.teams"
}
],
"refTargets": [
{
"area": "members.teams",
"items": [
{
"id": "<string>",
"name": "<string>"
}
]
}
]
}
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Config blobs
Save config change decisions
Replaces the request’s decisions (matches, references, deletes, overrides, skips, renames, invitation emails) and re-plans at once. A different plan hash drops approvals.
PUT
/
v1
/
config-blobs
/
change-requests
/
{changeRequestId}
/
decisions
Save config change decisions
curl --request PUT \
--url https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/decisions \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"format": "openwork.config-decisions",
"formatVersion": 1,
"source": {
"organizationId": "<string>"
},
"target": {
"organizationId": "<string>"
},
"changeRequestId": "<string>",
"decisions": {
"matches": [],
"refs": [],
"skips": [],
"renames": []
}
}
'import requests
url = "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/decisions"
payload = {
"format": "openwork.config-decisions",
"formatVersion": 1,
"source": { "organizationId": "<string>" },
"target": { "organizationId": "<string>" },
"changeRequestId": "<string>",
"decisions": {
"matches": [],
"refs": [],
"skips": [],
"renames": []
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
format: 'openwork.config-decisions',
formatVersion: 1,
source: {organizationId: '<string>'},
target: {organizationId: '<string>'},
changeRequestId: '<string>',
decisions: {matches: [], refs: [], skips: [], renames: []}
})
};
fetch('https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/decisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'format' => 'openwork.config-decisions',
'formatVersion' => 1,
'source' => [
'organizationId' => '<string>'
],
'target' => [
'organizationId' => '<string>'
],
'changeRequestId' => '<string>',
'decisions' => [
'matches' => [
],
'refs' => [
],
'skips' => [
],
'renames' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/decisions"
payload := strings.NewReader("{\n \"format\": \"openwork.config-decisions\",\n \"formatVersion\": 1,\n \"source\": {\n \"organizationId\": \"<string>\"\n },\n \"target\": {\n \"organizationId\": \"<string>\"\n },\n \"changeRequestId\": \"<string>\",\n \"decisions\": {\n \"matches\": [],\n \"refs\": [],\n \"skips\": [],\n \"renames\": []\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/decisions")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"format\": \"openwork.config-decisions\",\n \"formatVersion\": 1,\n \"source\": {\n \"organizationId\": \"<string>\"\n },\n \"target\": {\n \"organizationId\": \"<string>\"\n },\n \"changeRequestId\": \"<string>\",\n \"decisions\": {\n \"matches\": [],\n \"refs\": [],\n \"skips\": [],\n \"renames\": []\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/decisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"format\": \"openwork.config-decisions\",\n \"formatVersion\": 1,\n \"source\": {\n \"organizationId\": \"<string>\"\n },\n \"target\": {\n \"organizationId\": \"<string>\"\n },\n \"changeRequestId\": \"<string>\",\n \"decisions\": {\n \"matches\": [],\n \"refs\": [],\n \"skips\": [],\n \"renames\": []\n }\n}"
response = http.request(request)
puts response.read_body{
"changeRequest": {
"id": "<string>",
"status": "uploaded",
"title": "<string>",
"mode": "merge",
"source": "ui",
"sourceOrganization": {
"id": "<string>",
"slug": "<string>",
"name": "<string>"
},
"sourceDeployment": "cloud",
"areas": [
"members.teams"
],
"summary": {
"create": 0,
"update": 0,
"rename": 0,
"unchanged": 0,
"delete": 0,
"untouched": 0,
"skip": 0,
"blocking": 0
},
"planHash": "<string>",
"approvals": [
{
"memberId": "<string>",
"name": "<string>",
"at": "2023-11-07T05:31:56Z"
}
],
"autoApply": true,
"createdBy": {
"memberId": "<string>",
"name": "<string>",
"apiKeyName": "<string>"
},
"revertsChangeRequestId": "<string>",
"revertedByChangeRequestId": "<string>",
"errors": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"appliedAt": "2023-11-07T05:31:56Z"
},
"plan": {
"planHash": "<string>",
"mode": "merge",
"summary": {
"create": 0,
"update": 0,
"rename": 0,
"unchanged": 0,
"delete": 0,
"untouched": 0,
"skip": 0,
"blocking": 0
},
"areas": [
{
"area": "members.teams",
"label": "<string>",
"items": [
{}
]
}
],
"issues": [
{
"level": "error",
"message": "<string>",
"area": "members.teams"
}
],
"refTargets": [
{
"area": "members.teams",
"items": [
{
"id": "<string>",
"name": "<string>"
}
]
}
]
}
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
denApiKeybearerAuth
Path Parameters
Body
application/json
Was this page helpful?